Bug 164858 - errors when building kernel
Summary: errors when building kernel
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
(Show other bugs)
Version: 4
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-01 21:59 UTC by Mark P. Mendelsohn
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-17 14:22:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark P. Mendelsohn 2005-08-01 21:59:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
Error building kernel on Athlon 3200
 
 LD [M]  fs/vfat/vfat.o
  LD      fs/xfs/built-in.o
  CC [M]  fs/xfs/quota/xfs_dquot.o
  CC [M]  fs/xfs/quota/xfs_dquot_item.o
  CC [M]  fs/xfs/quota/xfs_trans_dquot.o
  CC [M]  fs/xfs/quota/xfs_qm_syscalls.o
  CC [M]  fs/xfs/quota/xfs_qm_bhv.o
  CC [M]  fs/xfs/quota/xfs_qm.o
gcc: Internal error: Segmentation fault (program as)
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
make[2]: *** [fs/xfs/quota/xfs_qm.o] Error 1
make[1]: *** [fs/xfs] Error 2
make: *** [fs] Error 2


Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1398

How reproducible:
Always

Steps to Reproduce:
1.Download kernel-2.6.12-1.1398_FC4.src.rpm
2. rpmbuild -bp --target kernel-2.6.12-1.1398_FC4.src.rpm x86_64
3. cd /usr/src/redhat/BUILD/kernel-2.6.12/linux-2.6.12
4. make

  

Additional info:

Comment 1 Jakub Jelinek 2005-08-05 21:43:28 UTC
As you can see from the error message, it is actually gas, not gcc that
crashes.
Now, is this reproduceable?  If yes, please use -save-temps to get the assembly
on which gas crashes, if not, the likely culprit would be flakey hardware.

Comment 2 Jakub Jelinek 2005-08-17 14:22:28 UTC
Without answers there is nothing we can do about it.  Please reopen when you
have the requested information.


Note You need to log in before you can comment on or make changes to this bug.